Bug 118254 - [patch] games/gnubg unbreak fix build with GCC 4.2 + adopt maintainship
Summary: [patch] games/gnubg unbreak fix build with GCC 4.2 + adopt maintainship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-25 23:20 UTC by Pietro Cerutti
Modified: 2007-11-27 22:50 UTC (History)
0 users

See Also:


Attachments
_gnubg.diff (3.58 KB, patch)
2007-11-25 23:20 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti 2007-11-25 23:20:01 UTC

The following patch:
- fixes the build with GCC 4.2
- removes warnings
- gives maintainship to me

How-To-Repeat: 

cd /usr/ports/games/gnubg && make
Comment 1 Edwin Groothuis freebsd_committer 2007-11-25 23:20:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Pietro Cerutti 2007-11-26 11:39:43 UTC
The patch also fixes build on sparc64:

http://www.gahr.ch/FreeBSD/patches/118254_gnubg.diff

-- 
Pietro Cerutti

PGP Public Key:
http://gahr.ch/pgp
Comment 3 Martin Wilke freebsd_committer 2007-11-27 22:48:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2007-11-27 22:49:09 UTC
miwi        2007-11-27 22:49:06 UTC

  FreeBSD ports repository

  Modified files:
    games/gnubg          Makefile 
  Added files:
    games/gnubg/files    patch-eval.c patch-htmlimages.c 
                         patch-lib_neuralnet.c patch-rollout.h 
  Log:
  - Fixes the build with GCC 4.2
  - Removes warnings
  - Pass maintainship to submitter
  
  PR:             118254
  Submitted by:   Pietro Cerutti <gahr@gahr.ch>
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.18      +2 -12     ports/games/gnubg/Makefile
  1.1       +11 -0     ports/games/gnubg/files/patch-eval.c (new)
  1.3       +10 -0     ports/games/gnubg/files/patch-htmlimages.c (new)
  1.1       +46 -0     ports/games/gnubg/files/patch-lib_neuralnet.c (new)
  1.1       +11 -0     ports/games/gnubg/files/patch-rollout.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"